from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from .com.sun.star.i18n import XInputSequenceChecker

@runtime_checkable
class XExtendedInputSequenceChecker(XInputSequenceChecker, Protocol):
    def correctInputSequence(self, aText: str, nPos: int, cInputChar: str, nInputCheckMode: int) -> int: ...
